Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
AppendRecordDelegate Delegate
See Also Send Feedback

A function to call after the record number has been selected but before the data has been stored into the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public delegate void AppendRecordDelegate(
    	DatabaseEntry data,
    	uint recno
    )

Visual Basic (Declaration)
    Public Delegate Sub AppendRecordDelegate ( _
    	data As DatabaseEntry, _
    	recno As UInteger _
    )

Visual C++
    public delegate void AppendRecordDelegate(
    	DatabaseEntry^ data,
    	unsigned int recno
    )

#### Parameters

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data to be stored.

recno
  Type: System..::.UInt32
  The generated record number.

# See Also

BerkeleyDB Namespace